org.eclipse.cdt.core.dom.ast

## Interface IASTImplicitDestructorName

All Superinterfaces:
  IASTImplicitName, IASTName, IASTNode, org.eclipse.cdt.core.dom.IName

    public interface IASTImplicitDestructorName
    extends IASTImplicitName

An implicit name corresponding to a destructor call for a temporary or a variable going out of scope.

Since:
  5.10

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static IASTImplicitDestructorName[]` `EMPTY_NAME_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.IName

`EMPTY_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTName` `getConstructionPoint()` Returns the name corresponding to the constructor call.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitName

`copy, isAlternate, isOperator, resolveBinding`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTName

`copy, getBinding, getCompletionContext, getImageLocation, getLastName, getLinkage, getLookupKey, getPreBinding, getRoleOfName, isQualified, resolvePreBinding, setBinding, toCharArray, toString`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.IName

`getFileLocation, getSimpleID, isDeclaration, isDefinition, isReference`

### Field Detail

#### EMPTY_NAME_ARRAY

    static final IASTImplicitDestructorName[] EMPTY_NAME_ARRAY

### Method Detail

#### getConstructionPoint

    IASTName getConstructionPoint()

Returns the name corresponding to the constructor call.